module WebResource
  class Engine < ::Rails::Engine
    initializer "web_resource" do 
      OrbitApp.registration "WebResource", :type => "ModuleApp" do
        module_label "web_resource.web_resource"
        base_url File.expand_path File.dirname(__FILE__)

        taggable "WebLink"
        widget_methods ["widget"]
        widget_settings [{"data_count"=>30}]
        models_to_cache [:web_link]
        categorizable
        authorizable
        frontend_enabled
        data_count 1..30
        side_bar do
          head_label_i18n 'web_resource',:icon_class=>"icons-link"
          available_for "users"
          active_for_controllers (['admin/web_resources'])
          head_link_path "admin_web_resources_path"

          context_link 'list_',
                              :link_path=>"admin_web_resources_path" ,
                              :priority=>1,
                              :active_for_action=>{'admin/web_resources'=>'index'},
                              :available_for => 'users'
          context_link 'new_', 
                                :link_path=>"new_admin_web_resource_path" ,
                                :priority=>2,
                                :active_for_action=>{'admin/web_resources'=>'new'},
                                :available_for => 'sub_managers'

           context_link 'web_link.order', 
                                :link_path=>"admin_web_resources_order_path" ,
                                :priority=>2,
                                :active_for_action=>{'admin/web_resources'=>'order'},
                                :available_for => 'managers'

          context_link 'categories',
                                :link_path=>"admin_module_app_categories_path" ,
                                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'web_resource').id}",
                                :priority=>3,
                                :active_for_action=>{'admin/web_resources.'=>'categories'},
                                :active_for_category => 'WebResource',
                                :available_for => 'managers'

          context_link 'tags',
                                :link_path=>"admin_module_app_tags_path" ,
                                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'web_resource').id}",
                                :priority=>4,
                                :active_for_action=>{'admin/web_resources'=>'tags'},
                                :active_for_tag => 'WebResource',
                                :available_for => 'managers'
        end
      end
    end
  end
end
